Package twisted :: Package protocols :: Module ftp :: Class DTPFactory

[frames | no frames]

## Class DTPFactory

    Factory --+
              |
             DTPFactory

Method Summary
| `__init__(self, pi, peerHost)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `cancelTimeout(self)`
| `setTimeout(self, seconds)`
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.
| `timeoutFactory(self)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.

Class Variable Summary
`tuple` | `__implements__` = `(<class 'twisted.protocols.ftp.IDTPFact...`
`int` | `peerCheck` = 1
Inherited from Factory
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Parameters:
    `addr` - an object implementing `twisted.internet.interfaces.IAddress`
  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### stopFactory(self)

This will be called before I stop listening on all Ports/Connectors.

This can be used to perform 'shutdown' tasks such as disconnecting database connections, closing files, etc.

It will be called, for example, before an application shuts down, if it was connected to a port.

  Overrides:
    `twisted.internet.protocol.Factory.stopFactory` (inherited documentation)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.protocols.ftp.IDTPFactory'>,)

### peerCheck

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:11 2004 | http://epydoc.sf.net